Subject: Re: [PATCH v3] clk: imx8mq: Mark AHB clock as critical

From: Stephen Boyd <[email-masked]>
Date: Tue, 30 Jul 2019 14:40:07 -0700

Quoting Abel Vesa (2019-07-30 11:38:18)
> On 19-07-30 10:52:30, Stephen Boyd wrote:
> > Quoting Abel Vesa (2019-07-30 00:22:55)
> > > Initially, the TMU_ROOT clock was marked as critical, which automatically
> > > made the AHB clock to stay always on. Since the TMU_ROOT clock is not
> > > marked as critical anymore, following commit:
> > > 
> > > 431bdd1df48e ("clk: imx8mq: Remove CLK_IS_CRITICAL flag for IMX8MQ_CLK_TMU_ROOT")
> > > 
> > > all the clocks that derive from ipg_root clock (and implicitly ahb clock)
> > > would also have to enable, along with their own gate, the AHB clock.
> > > 
> > > But considering that AHB is actually a bus that has to be always on, we mark
> > > it as critical in the clock provider driver and then all the clocks that
> > > derive from it can be controlled through the dedicated per IP gate which
> > > follows after the ipg_root clock.
> > > 
> > > Signed-off-by: Abel Vesa <[email-masked]>
> > > Tested-by: Daniel Baluta <[email-masked]>
> > > Fixes: 431bdd1df48e ("clk: imx8mq: Remove CLK_IS_CRITICAL flag for IMX8MQ_CLK_TMU_ROOT")
> > > ---
> > > 
> > 
> > Should I just apply this to clk-fixes branch?
> > 
> 
> Nope. The commit 431bdd1df48e is just in -next for now.
> So this has to be taken by Shawn, I think.

Ah ok. I thought it was related to some other problem someone was seeing
in the rc series but you're right, it was just linux-next for them.

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel